PROGRAM_NAME='Clearone StreamNet Demo v1_0'
(***********************************************************)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 04/05/2006  AT: 09:00:25        *)
(***********************************************************)
(* System Type : NetLinx                                   *)
(***********************************************************)
(* REV HISTORY:                                            *)
(***********************************************************)
(*
    $History: $
*)
(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_DEVICE

////////////////////////////////////////////////////////////
// Duet Module Devices
////////////////////////////////////////////////////////////
dvStreamNet  = 0:3:0;
vdvStreamNet = 41001:1:0;

////////////////////////////////////////////////////////////
// Renderers Zones
////////////////////////////////////////////////////////////
vdvRendererZ1  = 41001:1:0;
vdvRendererZ2  = 41001:2:0;
vdvRendererZ3  = 41001:3:0;
vdvRendererZ4  = 41001:4:0;
vdvRendererZ5  = 41001:5:0;
vdvRendererZ6  = 41001:6:0;
vdvRendererZ7  = 41001:7:0;
vdvRendererZ8  = 41001:8:0;
vdvRendererZ9  = 41001:9:0;
vdvRendererZ10 = 41001:10:0;
vdvRendererZ11 = 41001:11:0;
vdvRendererZ12 = 41001:12:0;
vdvRendererZ13 = 41001:13:0;
vdvRendererZ14 = 41001:14:0;
vdvRendererZ15 = 41001:15:0;
vdvRendererZ16 = 41001:16:0;

////////////////////////////////////////////////////////////
// Touch Panel
////////////////////////////////////////////////////////////
dvPanel 			= 10001:1:0;

(***********************************************************)
(*                INCLUDE DEFINITIONS GO BELOW             *)
(***********************************************************)

(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT

////////////////////////////////////////////////////////////
// DUET MODULE PROPERTIES
////////////////////////////////////////////////////////////

// YOU CAN USE ANY CLEARONE STREAMNET DEVICE AS THE COMMUNICATON GATEWAY FOR THE DUET MODULE.
// BUT ON LARGER SYSTEM USE A DEDICATED ControlLinX for this purpose.
// ENTER THE IP ADDRESS FOR THE STREAMNET DEVICE YOU CHOOSE.
CHAR IP_ADDRESS[] = '10.15.0.111'

(***********************************************************)
(*              DATA TYPE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_TYPE

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

VOLATILE DEV dvRendererZones[] = 
{
	vdvRendererZ1,
	vdvRendererZ2,
	vdvRendererZ3,
	vdvRendererZ4,
	vdvRendererZ5,
	vdvRendererZ6,
	vdvRendererZ7,
	vdvRendererZ8,
	vdvRendererZ9,
	vdvRendererZ10,
	vdvRendererZ11,
	vdvRendererZ12,
	vdvRendererZ13,
	vdvRendererZ14,
	vdvRendererZ15,
	vdvRendererZ16
}            

(***********************************************************)
(*               LATCHING DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_LATCHING

(***********************************************************)
(*       MUTUALLY EXCLUSIVE DEFINITIONS GO BELOW           *)
(***********************************************************)
DEFINE_MUTUALLY_EXCLUSIVE

(***********************************************************)
(*        SUBROUTINE/FUNCTION DEFINITIONS GO BELOW         *)
(***********************************************************)

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START


(***********************************************************)
(*                THE MODULES GO BELOW                     *)
(***********************************************************)
DEFINE_MODULE 'Clearone StreamNet UI Module v1_0' modUI(dvPanel, vdvStreamNet, dvRendererZones);

DEFINE_MODULE 'Clearone_StreamNet_dr1_0_0' modStreamNet(vdvStreamNet, dvStreamNet);

(***********************************************************)
(*                THE EVENTS GO BELOW                      *)
(***********************************************************)
DEFINE_EVENT

DATA_EVENT[vdvStreamNet]
{
	ONLINE:
	{
		WAIT 50 'SETTLE'
		{
			SEND_COMMAND vdvStreamNet,"'PROPERTY-IP_Address,',IP_ADDRESS"
			SEND_COMMAND vdvStreamNet,'REINIT'
		}
	}
}

(***********************************************************)
(*            THE ACTUAL PROGRAM GOES BELOW                *)
(***********************************************************)
DEFINE_PROGRAM

(***********************************************************)
(*                     END OF PROGRAM                      *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT           *)
(***********************************************************)

